NTRULPRimeParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.ntruprime

## Class NTRULPRimeParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.ntruprime.NTRULPRimeParameters

- All Implemented Interfaces:
    CipherParameters, KEMParameters

      public class NTRULPRimeParameters
      extends java.lang.Object
      implements KEMParameters

  NTRU LPRime Parameter Specs

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NTRULPRimeParameters` | `ntrulpr1013`
    `static NTRULPRimeParameters` | `ntrulpr1277`
    `static NTRULPRimeParameters` | `ntrulpr653`
    `static NTRULPRimeParameters` | `ntrulpr761`
    `static NTRULPRimeParameters` | `ntrulpr857`
    `static NTRULPRimeParameters` | `ntrulpr953`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDelta()`
    `java.lang.String` | `getName()`
    `int` | `getP()`
    `int` | `getPrivateKeyBytes()`
    `int` | `getPublicKeyBytes()`
    `int` | `getQ()`
    `int` | `getRoundedPolynomialBytes()`
    `int` | `getSessionKeySize()`
    `int` | `getTau0()`
    `int` | `getTau1()`
    `int` | `getTau2()`
    `int` | `getTau3()`
    `int` | `getW()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ntrulpr653

          public static final NTRULPRimeParameters ntrulpr653

    - #### ntrulpr761

          public static final NTRULPRimeParameters ntrulpr761

    - #### ntrulpr857

          public static final NTRULPRimeParameters ntrulpr857

    - #### ntrulpr953

          public static final NTRULPRimeParameters ntrulpr953

    - #### ntrulpr1013

          public static final NTRULPRimeParameters ntrulpr1013

    - #### ntrulpr1277

          public static final NTRULPRimeParameters ntrulpr1277

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getP

          public int getP()

    - #### getQ

          public int getQ()

    - #### getW

          public int getW()

    - #### getDelta

          public int getDelta()

    - #### getTau0

          public int getTau0()

    - #### getTau1

          public int getTau1()

    - #### getTau2

          public int getTau2()

    - #### getTau3

          public int getTau3()

    - #### getPublicKeyBytes

          public int getPublicKeyBytes()

    - #### getPrivateKeyBytes

          public int getPrivateKeyBytes()

    - #### getRoundedPolynomialBytes

          public int getRoundedPolynomialBytes()

    - #### getSessionKeySize

          public int getSessionKeySize()